# Session.Shell (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.direct
Interface Session.Shell

All Superinterfaces:
  Channel, Closeable, ErrorNotifiable, SSHPacketHandler

All Known Implementing Classes:
  SessionChannel

Enclosing interface:
  Session

    public static interface Session.Shell

extends Channel

Shell API.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Method Summary
`Boolean` `canDoFlowControl()` Whether the client can do local flow control using `control-S` and `control-Q`.
`void` `changeWindowDimensions(int cols, int rows, int width, int height)` Sends a window dimension change message.
`InputStream` `getErrorStream()` Returns the shell's `stderr` stream.
`void` `signal(Signal signal)` Send a signal.

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Method Detail

### canDoFlowControl

    Boolean canDoFlowControl()

  Whether the client can do local flow control using `control-S` and `control-Q`.

  Returns:
    boolean value indicating whether 'client can do', or `null` if no such information was received

### changeWindowDimensions

    void changeWindowDimensions(int cols,
                                int rows,
                                int width,
                                int height)
                                throws TransportException

  Sends a window dimension change message.

  Parameters:
    `cols` - terminal width, columns
    `rows` - terminal height, rows
    `width` - terminal width, pixels
    `height` - terminal height, pixels
  Throws:
    `TransportException`

### getErrorStream

    InputStream getErrorStream()

  Returns the shell's `stderr` stream.

### signal

    void signal(Signal signal)
                throws TransportException

  Send a signal.

  Parameters:
    `signal` - the signal
  Throws:
    `TransportException` - if error sending the signal

Copyright © 2009-2011. All Rights Reserved.